DROP TYPE IF EXISTS VmExternalData_rs CASCADE;
CREATE TYPE VmExternalData_rs AS (data TEXT, hash TEXT);

CREATE OR REPLACE FUNCTION GetNvramData (
    v_vm_id UUID
)
RETURNS SETOF VmExternalData_rs AS $FUNCTION$
    SELECT nvram_data, nvram_hash
    FROM vm_nvram_data
    WHERE vm_id = v_vm_id and coalesce(nvram_data, '') != '' and coalesce(nvram_hash, '') != ''
$FUNCTION$
LANGUAGE sql;
